<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

$cena = 150;

echo head . "<b>Загс</b>" . div . katalog;

if(!isset($_GET['act']))
echo 'Выберите действие:<br/><a href="?act=1">Поженить</a> или <a href="?act=4">Развести</a>';

if($_GET['act']=='1'){
echo '<form method=post action="?act=2">';
echo ' ID жениха <input type=text name=m /><br/> ID невесты <input type=text name=w /><br/><input type=submit value=Далее />' ;
}

if($_GET['act']==2){
$m=intval($_POST['m']);
$m = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$m."'"));
$w=intval($_POST['w']);
$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$w."'"));
#if($m['many'] < $cena) $err='У жениха не достаточно монет. Цена ' . $cena . ' монет';
#if($w['many'] < $cena) $err='У невесты не достаточно монет. Цена ' . $cena . ' монет';
if(!$m['id'])$err='Жених ненайден';
if(!$w['id'])$err='Невеста ненайдена';
if($m['sex']=='0')$err='0_о жених женщина';
if($w['sex']=='1')$err='0_о невеста мужчина';

mysql_query ("Select * FROM `zags` WHERE `id_m` = '$m[id]' AND `id_w` = '$w[id]'");
if(mysql_affected_rows()!=0) $err='Они уже женаты';


if(!isset($err)){
echo "<div class='post0'>Жених: $m[login]<br/>
Невеста: $w[login]<br/>
<form action='?act=3&amp;m=$m[id]&amp;w=$w[id]' method='POST'><input type='submit' name='save' value='Поженить'>
</form> </div>";
} else {
    
    echo $err;
    
}}

if($_GET['act']==3){
$m=intval($_GET['m']);
$m = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$m."'"));
$w=intval($_GET['w']);
$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$w."'"));
#if($m['many'] < $cena) $err='У жениха не достаточно монет. Цена ' . $cena . ' монет';
#if($w['many'] < $cena) $err='У невесты не достаточно монет. Цена ' . $cena . ' монет';
if(!$m)$err='Жених ненайден';
if(!$w)$err='Невеста ненайдена';
if($m['sex']=='0')$err='0_о жених женщина';
if($w['sex']=='1')$err='0_о невеста мужчина';
if(!isset($_POST['save']))$err='Неизвестная ошибка';
if($m['id']==$id_session || $w['id']==$id_session)$err='Вы не можете проводить действий с собой';
mysql_query ("Select * FROM `zags` WHERE `id_m` = '$m[id]' AND `id_w` = '$w[id]'");
if(mysql_affected_rows()!=0) $err='Они уже женаты';

if(!isset($err)){
mysql_query("UPDATE `profile` SET `many` = `many` + '".$cena."' WHERE `id` = '$m[id]' LIMIT 1");
mysql_query("UPDATE `profile` SET `many` = `many` + '".$cena."' WHERE `id` = '$w[id]' LIMIT 1");
$msg="Бюро регистрации браков сайта Jamob.Ru объявляет о новой свадьбе
Молодожены: жених ".user($m['id'])." и невеста [".user($w['id'])." успешно обвенчаны
Поздравим молодую пару! В подарок каждому по 150 монет.";

$result = mysql_query("INSERT INTO `forum_themes` SET `name` = 'Свадьба $m[login] и $w[login]', `msg` = '".$msg."', `razdel_id` = '".$forum_zags_razdel."', `pod_forum` = '".$forum_zags."', `user_id` = '".$id_session."', `time` = '".time()."', `date` = '".time()."'");

$them['id']=mysql_insert_id();


mysql_query("INSERT INTO `zags` (`id_m`, `id_w`, `time`, `forum`) values('$m[id]', '$w[id]', '".time()."', '$them[id]')");

echo '<div class="msg">Успешно</div><a href="forum/theme.php?razdel='.$forum_zags_razdel.'&pod_forum='.$forum_zags.'&theme='.$them['id'].'">Перейти в тему на форуме</a>';

} else {
    
    echo $err;
    
}}



if($_GET['act']=='4'){

echo '<form method=post action="?act=5">';
echo ' ID жениха <input type=text name=m /><br/> ID невесты <input type=text name=w /><br/><input type=submit value=Далее />' ;
}


if($_GET['act']==5){
$m=intval($_POST['m']);
$m = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$m."'"));
$w=intval($_POST['w']);
$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$w."'"));

mysql_query ("Select * FROM `zags` WHERE `id_m` = '$m[id]' AND `id_w` = '$w[id]'");
if(mysql_affected_rows()==0) $err='Брак ненайден';

if(!isset($err)){
$brak=mysql_fetch_array(mysql_query("select * from `zags` where `id_m`='$m[id]' and `id_w`='$w[id]';"));
echo "<div class='post0'>Жених: $m[login]<br/>
Невеста: $w[login]<br/>
Поженились: ".date2($brak['time'])."
<form action='?act=6&amp;m=$m[id]&amp;w=$w[id]' method='POST'><input type='submit' name='save' value='Развести'>
</form> </div>";
} else {
    
    echo $err;
}}

if($_GET['act']==6){
if(!isset($_POST['save']))$err='Неизвестная ошибка';
$m=intval($_GET['m']);
$m = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$m."'"));
$w=intval($_GET['w']);
$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$w."'"));
#if($m['id']==$id_session || $w['id']==$id_session)$err='Вы не можете проводить действий с собой';

if(!isset($err)){
$brak=mysql_fetch_array(mysql_query("select * from `zags` where `id_m`='$m[id]' and `id_w`='$w[id]';"));
mysql_query("DELETE FROM `zags` WHERE `id_m` = '$m[id]' AND `id_w` = '$w[id]' LIMIT 1");
mysql_query("DELETE FROM `forum_themes` WHERE `id` = '$brak[forum]' LIMIT 1");
mysql_query("DELETE FROM `forum_msg` WHERE `theme` = '$brak[forum]' LIMIT 1");
echo '<div class="msg">Успешно</div>Юзеры разведены, тема на форуме удалена';
} else {
    echo $err;
    
}
}

navig();

foot();
?>